Update transit parties
curl --request PATCH \
--url https://devapi.eazecustoms.com/staging/declarations/transit/{declarationId}/parties \
--header 'Authorization: Bearer <token>'import requests
url = "https://devapi.eazecustoms.com/staging/declarations/transit/{declarationId}/parties"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devapi.eazecustoms.com/staging/declarations/transit/{declarationId}/parties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"declarationId": 104,
"status": "processing"
}
Transit Declarations
Update transit parties
Update the principal, consignor, or consignee details on a transit declaration.
PATCH
/
declarations
/
transit
/
{declarationId}
/
parties
Update transit parties
Update party details for a transit declaration.
Depending on whether it is a departure or arrival declaration, you can use the corresponding endpoint and payload format:
- Departure:
PATCH /declarations/transit/{declarationId}/parties - Arrival:
PATCH /transit-declarations/{id}/parties
Path Parameters
number
required
The unique declaration ID.
Examples
{
"Principal": {
"name": "EZC B.V.",
"eoriNo": "NL123456789",
"countryCode": "NL"
},
"Consignor": {
"name": "Exporter Ltd (updated)",
"eoriNo": "NL987654321",
"countryCode": "NL"
},
"Consignee": {
"name": "Importer GmbH (updated)",
"countryCode": "DE",
"city": "Berlin",
"street": "Berliner Str 2",
"postcode": "10116"
}
}
{
"Principal": {
"name": "Nordic Living Imports B.V.",
"street": "Hoofdweg 12",
"city": "Amsterdam",
"postcode": "1043 AG",
"countryCode": "NL",
"eoriNo": "NL100006139"
}
}
{
"declarationId": 104,
"status": "processing"
}
⌘I